Subject: Re: bug#46942: ci.guix.gnu.org is slow from my system

From: raid5atemyhomework <[email-masked]>
Date: Fri, 05 Mar 2021 12:12:51 +0000

Hello Christopher,

> raid5atemyhomework via Bug reports for GNU Guix [email-masked] writes:
>
> > Downloading substitutes from ci.guix.gnu.org is slow from my two Guix-using computers.
> > One is a pure Guix System install without any channels, the other one is a foreign Guix install with the-channel-that-cannot-be-named.
> >
> >     downloading from https://ci.guix.gnu.org/nar/lzip/1bdldr80p39g1mjnh76xw6hmwqrrb8lz-wine64-6.0 ...
> >      wine64-6.0  54.4MiB                                                                                                                                 10KiB/s 01:55 [                  ]   2.1%
> >
>
> If you try this same download again, do you get the same speed?
>
> guix publish, which is used on ci.guix.gnu.org can dynamically create
> nars if they're not cached, which will probably result in slower
> download speeds.

Yes, I have been suffering slow download speeds for a few weeks now.  Even with repeated downloads, it is consistently slow.  I only just now tried out using `torify wget`, which surprised me since it was much much faster --- one lucky download even got up to 6MB/s over frikking TOR before I ^Ced it.  I've even tried doing `torify wget` and `wget` in parallel on two separate shells --- the `torify wget` was definitely faster, getting anywhere from 100kB/s to 700kB/s with a few outliers at >1MB/s, while `wget` was consistently below 40kB/s and eventually settling to ~11kB/s after a few seconds.

This holds even for packages I expect to be popular and thus likely to be in-cache with high probability, like `linux-libre`.

Thanks
raid5atemyhomework